clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::FuzzyFindRequest Struct Reference

`#include <Index.h>`

Collaboration diagram for clang::clangd::FuzzyFindRequest:
[legend]

## Public Member Functions
bool | operator== (const FuzzyFindRequest &Req) const
bool | operator!= (const FuzzyFindRequest &Req) const

## Public Attributes
std::string | Query
| A query string for the fuzzy find. More...
std::vector< std::string > | Scopes
| If this is non-empty, symbols must be in at least one of the scopes (e.g. More...
bool | AnyScope = false
| If set to true, allow symbols from any scope. More...
llvm::Optional< uint32_t > | Limit
| The number of top candidates to return. More...
bool | RestrictForCodeCompletion = false
| If set to true, only symbols for completion support will be considered. More...
std::vector< std::string > | ProximityPaths
| Contextually relevant files (e.g. More...

## Detailed Description

Definition at line 436 of file Index.h.

## Member Function Documentation

## ◆ operator!=()

bool clang::clangd::FuzzyFindRequest::operator!= | ( | const FuzzyFindRequest & | Req | ) | const
| inline

Definition at line 467 of file Index.h.

References clang::clangd::fromJSON(), clang::clangd::toJSON(), and clang::clangd::Value.

## ◆ operator==()

bool clang::clangd::FuzzyFindRequest::operator== | ( | const FuzzyFindRequest & | Req | ) | const
| inline

Definition at line 461 of file Index.h.

References Limit, ProximityPaths, Query, RestrictForCodeCompletion, and Scopes.

## Member Data Documentation

## ◆ AnyScope

bool clang::clangd::FuzzyFindRequest::AnyScope = false

If set to true, allow symbols from any scope.

Scopes explicitly listed above will be ranked higher.

Definition at line 449 of file Index.h.

Referenced by clang::clangd::toJSON().

## ◆ Limit

llvm::Optional<uint32_t> clang::clangd::FuzzyFindRequest::Limit

The number of top candidates to return.

The index may choose to return more than this, e.g. if it doesn't know which candidates are best.

Definition at line 452 of file Index.h.

Referenced by operator==(), and clang::clangd::toJSON().

## ◆ ProximityPaths

std::vector<std::string> clang::clangd::FuzzyFindRequest::ProximityPaths

Contextually relevant files (e.g.

the file we're code-completing in). Paths should be absolute.

Definition at line 457 of file Index.h.

Referenced by operator==(), and clang::clangd::toJSON().

## ◆ Query

std::string clang::clangd::FuzzyFindRequest::Query

A query string for the fuzzy find.

This is matched against symbols' un-qualified identifiers and should not contain qualifiers like "::".

Definition at line 439 of file Index.h.

Referenced by clang::clangd::MemIndex::fuzzyFind(), clang::clangd::dex::Dex::fuzzyFind(), operator==(), and clang::clangd::toJSON().

## ◆ RestrictForCodeCompletion

bool clang::clangd::FuzzyFindRequest::RestrictForCodeCompletion = false

If set to true, only symbols for completion support will be considered.

Definition at line 454 of file Index.h.

Referenced by operator==(), and clang::clangd::toJSON().

## ◆ Scopes

std::vector<std::string> clang::clangd::FuzzyFindRequest::Scopes

If this is non-empty, symbols must be in at least one of the scopes (e.g.

namespaces) excluding nested scopes. For example, if a scope "xyz::" is provided, the matched symbols must be defined in namespace xyz but not namespace xyz::abc.

The global scope is "", a top level scope is "foo::", etc.

Definition at line 446 of file Index.h.

Referenced by operator==(), and clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Index.h